//
//  ZDViewController.swift
//  OrderScheduling
//
//  Created by 中道 on 2023/8/24.
//

import Foundation
import DDControlsKit_Private
import DDLogKit_Private

open class ZDViewController : DDViewController {
    public override init(nibName nibNameOrNil: String?, bundle nibBundleOrNil: Bundle?) {
        super.init(nibName: nibNameOrNil, bundle: nibBundleOrNil)
        dd_navigationBarBarButtonItemAttributes = [.foregroundColor : UIColor.white]
    }
    
    @MainActor required public init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    open override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    open func reloadData() {
    }
    
    deinit {
        DDLog(message: "=================\(type(of: self))销毁了=================")
    }
}
